# Class: GraphicsOverlays

## GraphicsOverlays()

#### new GraphicsOverlays()

Source:
  - GraphicsOverlays.js, line 10

### Methods

#### (async, static) add(graphicsOverlay) → {Promise.<void>}

添加图形覆盖物

##### Parameters:

Name | Type | Description
--- | --- | ---
`graphicsOverlay` |  |

Source:
  - GraphicsOverlays.js, line 36

##### Returns:

Type
  Promise.<void>

#### (async, static) createObj() → {Promise.<GraphicsOverlays>}

构造一个新的 GraphicsOverlays 对象。

Source:
  - GraphicsOverlays.js, line 19

##### Returns:

Type
  Promise.<GraphicsOverlays>

#### (async, static) getAllGraphicsOverlays() → {Promise.<*>}

返回所有图形

Source:
  - GraphicsOverlays.js, line 123

##### Returns:

Type
  Promise.<*>

#### (async, static) getCount() → {Promise.<*>}

获取图形覆盖物的数目

Source:
  - GraphicsOverlays.js, line 52

##### Returns:

Type
  Promise.<*>

#### (async, static) getGraphicsOverlay() → {Promise.<*>}

获取图形覆盖物

Source:
  - GraphicsOverlays.js, line 103

##### Returns:

Type
  Promise.<*>

#### (async, static) indexOf(graphicsOverlay) → {Promise.<(*|NavigationPreloadState)>}

获取图形覆盖物的索引

##### Parameters:

Name | Type | Description
--- | --- | ---
`graphicsOverlay` |  |

Source:
  - GraphicsOverlays.js, line 68

##### Returns:

Type
  Promise.<(*|NavigationPreloadState)>

#### (async, static) indexOfByName(graphicLayerName) → {Promise.<(*|NavigationPreloadState)>}

获取图形覆盖物的索引

##### Parameters:

Name | Type | Description
--- | --- | ---
`graphicLayerName` | String |

Source:
  - GraphicsOverlays.js, line 86

##### Returns:

Type
  Promise.<(*|NavigationPreloadState)>

#### (async, static) insert(graphicsOverlay) → {Promise.<(*|NavigationPreloadState)>}

插入图形覆盖物

##### Parameters:

Name | Type | Description
--- | --- | ---
`graphicsOverlay` |  | 图形覆盖物

Source:
  - GraphicsOverlays.js, line 147

##### Returns:

Type
  Promise.<(*|NavigationPreloadState)>

#### (async, static) move(fromIndex, toIndex) → {Promise.<*>}

移动图形覆盖物

##### Parameters:

Name | Type | Description
--- | --- | ---
`fromIndex` |  |
`toIndex` |  |

Source:
  - GraphicsOverlays.js, line 168

##### Returns:

Type
  Promise.<*>

#### (async, static) remove(graphicsOverlay) → {Promise.<void>}

移除图形覆盖物

##### Parameters:

Name | Type | Description
--- | --- | ---
`graphicsOverlay` |  |

Source:
  - GraphicsOverlays.js, line 196

##### Returns:

Type
  Promise.<void>

#### (async, static) removeAll(index) → {Promise.<void>}

移除所有图形覆盖物

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` |  |

Source:
  - GraphicsOverlays.js, line 213

##### Returns:

Type
  Promise.<void>

#### (async, static) removeByIndex(index) → {Promise.<void>}

移除图形覆盖物

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` |  |

Source:
  - GraphicsOverlays.js, line 182

##### Returns:

Type
  Promise.<void>